HanMacWrdJGraphInternal::CommentFrame Struct Referencefinal

Internal: the comment frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::CommentFrame:

## Public Member Functions
| CommentFrame (Frame const &orig)
| constructor
| ~CommentFrame () final
| destructor
bool | valid () const final
| returns true if the frame data are read
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
long | m_zId
| the text id
double | m_width
| the zone width
long | m_cPos
| the first char pos
MWAWVec2f | m_dim
| the auxilliary dim
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: the comment frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ CommentFrame()

HanMacWrdJGraphInternal::CommentFrame::CommentFrame | ( | Frame const & | orig | ) |
| inline explicit

constructor

## ◆ ~CommentFrame()

HanMacWrdJGraphInternal::CommentFrame::~CommentFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdJGraphInternal::CommentFrame::print | ( |  | ) | const
| inline

print local data

## ◆ valid()

bool HanMacWrdJGraphInternal::CommentFrame::valid | ( |  | ) | const
| inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Member Data Documentation

## ◆ m_cPos

long HanMacWrdJGraphInternal::CommentFrame::m_cPos

the first char pos

Referenced by CommentFrame(), and print().

## ◆ m_dim

MWAWVec2f HanMacWrdJGraphInternal::CommentFrame::m_dim

the auxilliary dim

Referenced by CommentFrame(), print(), and HanMacWrdJGraph::sendComment().

## ◆ m_width

double HanMacWrdJGraphInternal::CommentFrame::m_width

the zone width

Referenced by CommentFrame(), and print().

## ◆ m_zId

long HanMacWrdJGraphInternal::CommentFrame::m_zId

the text id

Referenced by CommentFrame(), HanMacWrdJGraph::getTextFrameInformations(), print(), and HanMacWrdJGraph::sendComment().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx